/*!
Theme Name: petrakomidar
Theme URI: http://www.mihaomejc.com
Author: Miha Omejc
Author URI: http://www.mihaomejc.com
Description: Predloga za spletno stran petrakomidar.si
Version: 0.9.1
Template: generatepress
Text Domain: petrakomidar
--------------------------------------------------------------*/
/*--------------------------------------------------------------
# Main
--------------------------------------------------------------*/
html, body {
  overflow-x: clip;
}

html {
  scroll-behavior: smooth;
}

.button,
.gb-button {
  transition: 0.3s;
}

.site-main ul {
  list-style: none;
  /* Remove default bullets */
  margin-left: 25px;
}
.site-main ul li {
  position: relative;
  margin-top: 7px;
}
.site-main ul li::before {
  position: absolute;
  content: "";
  width: 16px;
  height: 16px;
  background: url(img/010-star.svg) no-repeat;
  background-size: contain;
  left: -25px;
  top: 4px;
}
.site-main ul li li::before {
  background: url(img/003-star.svg) no-repeat;
  background-size: contain;
}

input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea, button, html input[type=button], input[type=reset], input[type=submit], a.button, a.wp-block-button__link:not(.has-background) {
  border-radius: 25px;
}

.entry-content h2,
.site-footer h2 {
  position: relative;
  padding-bottom: 50px;
  margin-bottom: 30px;
  max-width: 900px;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}
@media (max-width: 767px) {
  .entry-content h2,
.site-footer h2 {
    padding-bottom: 40px;
  }
}
.entry-content h2:before, .entry-content h2:after,
.site-footer h2:before,
.site-footer h2:after {
  content: "";
  position: absolute;
  height: 1px;
  bottom: 8px;
}
.entry-content h2:before,
.site-footer h2:before {
  right: calc(50% + 45px);
  left: 0;
}
.entry-content h2:after,
.site-footer h2:after {
  left: calc(50% + 45px);
  right: 0;
}

.entry-content h2 {
  background: url(img/swirl1.svg) no-repeat center bottom/64px;
}
.entry-content h2:before, .entry-content h2:after {
  background: var(--accent);
}
.entry-content h2.zlat {
  background: url(img/swirl2.svg) no-repeat center bottom/64px;
}
.entry-content h2.zlat:before, .entry-content h2.zlat:after {
  background: var(--contrast-3);
}

.entry-content .wp-block-contact-form-7-contact-form-selector {
  border: 2px solid var(--accent);
  padding: 50px 50px 30px 50px;
  border-radius: 8px;
  max-width: 680px;
  margin: 0 auto;
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.05), 0 6px 6px rgba(0, 0, 0, 0.08);
}
@media (max-width: 767px) {
  .entry-content .wp-block-contact-form-7-contact-form-selector {
    padding: 20px 20px 10px 20px;
  }
}
.entry-content .wp-block-contact-form-7-contact-form-selector input[type=text], .entry-content .wp-block-contact-form-7-contact-form-selector input[type=email], .entry-content .wp-block-contact-form-7-contact-form-selector input[type=url], .entry-content .wp-block-contact-form-7-contact-form-selector input[type=password], .entry-content .wp-block-contact-form-7-contact-form-selector input[type=search], .entry-content .wp-block-contact-form-7-contact-form-selector input[type=tel], .entry-content .wp-block-contact-form-7-contact-form-selector input[type=number], .entry-content .wp-block-contact-form-7-contact-form-selector textarea, .entry-content .wp-block-contact-form-7-contact-form-selector select {
  width: 100%;
  margin-top: 5px;
}
.entry-content .wp-block-contact-form-7-contact-form-selector input[type=submit] {
  font-weight: 700;
  text-transform: uppercase;
}

.site-footer h2 {
  background: url(img/swirl2.svg) no-repeat center bottom/64px;
}
.site-footer h2:before, .site-footer h2:after {
  background: var(--contrast-3);
}

.page-image {
  -webkit-mask-image: linear-gradient(to right, transparent, black 50%);
          mask-image: linear-gradient(to right, transparent, black 50%);
}

/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
.top-bar,
.site-header {
  position: fixed;
  left: 0;
  width: 100%;
  z-index: 1000;
}

.top-bar {
  top: 0;
}

.site-header {
  top: 38px;
}

.site {
  padding-top: 139px;
}
@media (min-width: 1025px) {
  .site {
    padding-top: 152px;
  }
}

@media (max-width: 1024px) {
  .site-branding {
    margin-left: 30px;
  }
}

.mobile-menu-control-wrapper .menu-toggle, .mobile-menu-control-wrapper .menu-toggle:hover, .mobile-menu-control-wrapper .menu-toggle:focus, .has-inline-mobile-toggle #site-navigation.toggled {
  background-color: transparent;
}

.menu-toggle .gp-icon svg {
  font-size: 28px;
}

.has-inline-mobile-toggle #site-navigation.toggled {
  margin-top: 0;
}

.domov a {
  background-image: url("img/domov3.svg");
  background-repeat: no-repeat;
  background-position: center top 11px;
  background-size: 24px 24px;
  text-indent: -9999px;
  overflow: hidden;
  white-space: nowrap;
  width: 60px;
  height: 40px;
  display: inline-block;
}

.domov:hover a {
  background-image: url("img/domov4.svg");
}

.main-navigation ul ul {
  box-shadow: none;
  border-radius: 10px;
  transition: 280ms ease;
  left: auto;
  transform: translateY(15px);
}

.main-navigation:not(.toggled) ul li.sfHover > ul, .main-navigation:not(.toggled) ul li:hover > ul {
  transform: translateY(0);
}

@media screen and (min-width: 1025px) and (max-width: 1400px) {
  .main-navigation .main-nav ul li a {
    padding-left: 7px !important;
    padding-right: 7px !important;
  }
}
@media screen and (max-width: 1024px) {
  .navigation-branding {
    margin-left: 20px !important;
  }
}

.main-navigation.has-branding .menu-toggle, .main-navigation.has-sticky-branding.navigation-stick .menu-toggle {
  margin-right: 2px;
}

.main-navigation .menu-toggle {
  transform: translateY(4px);
}

.main-navigation.sticky-navigation-transition .main-nav > ul > li > a {
  line-height: 45px !important;
}

/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/
@media (min-width: 1025px) {
  .copyright-bar {
    display: flex;
    width: 100%;
    justify-content: space-between;
  }
}

.site-footer .wpcf7-form label {
  display: flex;
  flex-wrap: wrap;
}
.site-footer .wpcf7-form .input-label {
  width: 150px;
  padding-top: 12px;
}
@media (max-width: 767px) {
  .site-footer .wpcf7-form .input-label {
    width: 100%;
  }
}
.site-footer .wpcf7-form a {
  color: #fff;
  text-decoration: underline;
}
.site-footer .wpcf7-acceptance {
  font-size: 12px;
  padding-left: 140px;
  display: block;
}
@media (max-width: 767px) {
  .site-footer .wpcf7-acceptance {
    padding-left: 0;
  }
}
.site-footer .wpcf7-acceptance label {
  align-items: flex-start;
  gap: 10px;
}
.site-footer .wpcf7-acceptance label input {
  margin-top: 5px;
}
.site-footer .wpcf7-acceptance .wpcf7-list-item-label {
  opacity: 0.7;
}
.site-footer .wpcf7-form-control-wrap {
  width: calc(100% - 150px);
}
@media (max-width: 767px) {
  .site-footer .wpcf7-form-control-wrap {
    width: 100%;
  }
}
.site-footer .wpcf7-form-control-wrap input[type=text],
.site-footer .wpcf7-form-control-wrap input[type=email] {
  width: 100%;
}
.site-footer .wpcf7-submit {
  margin-left: 150px;
}
@media (max-width: 767px) {
  .site-footer .wpcf7-submit {
    margin-left: 0;
  }
}
.site-footer a {
  text-decoration: none;
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
